// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "UIComponent.hpp"

namespace Dawn {
  class UIEmpty : public UIComponent {
    public:
      UIEmpty(SceneItem *item);
      float_t getContentWidth() override;
      float_t getContentHeight() override;
      float_t getChildOffsetX() override;
      float_t getChildOffsetY() override;
  };
}